%Plot results from Hysys simulations
clear all
close all
settings
set(0,'DefaultLineLineWidth',2.0) %1.2
set(0,'DefaultAxesLineWidth',2.0)

%Data structure:
% 1: Time	[seconds]
% 2: 1 - Mass Flow [kg/h]
% 3: 1 - Pressure [kPa]
% 4: 3 - Mass Flow [kg/h]
% 5: 3 - Pressure [kPa]
% 6 :FIC-101 - OP [%]
% 7: FIC-101 - PV [kg/h]
% 8: FIC-101 - SP	[kg/h]
% 9: PIC-100 - OP	[%]
% 10: PIC-100 - PV [kPa]	
% 11: PIC-100 - SP [kPa]

load IncreaseFCSP.txt 
C1=IncreaseFCSP;
load DecreaseFCSP.txt
C2=DecreaseFCSP;
load IncreasePCSP.txt  
C3=IncreasePCSP;
load DecreasePCSP.txt  
C4=DecreasePCSP;

T1=C1(:,1)/60;
FCOP1=(C1(:,6)-C1(5,6))/C1(5,6);
FCPV1=(C1(:,7)-C1(5,7))*10/C1(5,7);
FCSP1=(C1(:,8)-C1(5,8))*10/C1(5,8);

T2=C2(:,1)/60;
FCOP2=(C2(:,6)-C2(5,6))/C2(5,6);
FCPV2=(C2(:,7)-C2(5,7))*10/C2(5,7);
FCSP2=(C2(:,8)-C2(5,8))*10/C2(5,8);

T3=C3(:,1)/60;
FCOP3=(C3(:,6)-C3(5,6))/C3(5,6);
FCPV3=(C3(:,7)-C3(5,7))*10/C3(5,7);
FCSP3=(C3(:,8)-C3(5,8))*10/C3(5,8);

T4=C4(:,1)/60;
FCOP4=(C4(:,6)-C4(5,6))/C4(5,6);
FCPV4=(C4(:,7)-C4(5,7))*10/C4(5,7);
FCSP4=(C4(:,8)-C4(5,8))*10/C4(5,8);

%FCOP=[FCOP1;FCOP2;FCOP3;FCOP4];
%FCSP=[

figure(1)
plot(T1,FCSP1,'k:')
hold on
%plot(T1,FCPV1,'r--')
plot(T1,FCPV1,'k--')
%plot(T1,FCOP1,'b-')
plot(T1,FCOP1,'k-')
axis([0 150 -1.1 1.1])
set(gca,'XTick',[0:50:150]')
set(gca,'YTick',[-1:0.5:1]')
set(gcf,'Position',[560 528 560 264])
text(50,0.23,'$F$')
text(100,0.8,'$z_F$')
text(5,0.83,'$F_s$')
hold off
laprint(1,'FlowIncreaseFC','scalefonts', 'off', 'asonscreen', 'off')


figure(2)
plot(T2,FCSP2,'k:')
hold on
%plot(T2,FCPV2,'r--')
%plot(T2,FCOP2,'b-')
plot(T2,FCPV2,'k--')
plot(T2,FCOP2,'k-')
axis([0 150 -1.1 1.1])
set(gca,'XTick',[0:50:150]')
set(gca,'YTick',[-1:0.5:1]')
set(gcf,'Position',[560 528 560 264])
text(50,-0.8,'$F$')
text(100,-0.2,'$z_F$')
text(20,-0.65,'$F_s$')
text(5,-0.84,'$\swarrow$')
hold off
laprint(2,'FlowDecreaseFC','scalefonts', 'off', 'asonscreen', 'off')

figure(3)
plot(T3,FCSP3,'k:')
hold on
% plot(T3,FCPV3,'r--')
% plot(T3,FCOP3,'b-')
plot(T3,FCPV3,'k--')
plot(T3,FCOP3,'k-')
axis([0 150 -1.1 1.1])
set(gca,'XTick',[0:50:150]')
set(gca,'YTick',[-1:0.5:1]')
set(gcf,'Position',[560 528 560 264])
text(12,0.2,'$F$')
text(80,-0.3,'$z_F$')
text(100,0.18,'$F_s$')
hold off
laprint(3,'PresIncreaseFC','scalefonts', 'off', 'asonscreen', 'off')

figure(4)
plot(T4,FCSP4,'k:')
hold on
% plot(T4,FCPV4,'r--')
% plot(T4,FCOP4,'b-')
plot(T4,FCPV4,'k--')
plot(T4,FCOP4,'k-')
axis([0 150 -1.1 1.1])
set(gca,'XTick',[0:50:150]')
set(gca,'YTick',[-1:0.5:1]')
set(gcf,'Position',[560 528 560 264])
text(40,-0.5,'$F$')
text(110,0.8,'$z_F$')
text(80,0.18,'$F_s$')
hold off
laprint(4,'PresDecreaseFC','scalefonts', 'off', 'asonscreen', 'off')

PCOP1=(C1(:,9)-C1(5,9))/C1(5,9);
PCPV1=(C1(:,10)-C1(5,10))*10/C1(5,10);
PCSP1=(C1(:,11)-C1(5,11))*10/C1(5,11);

PCOP2=(C2(:,9)-C2(5,9))/C2(5,9);
PCPV2=(C2(:,10)-C2(5,10))*10/C2(5,10);
PCSP2=(C2(:,11)-C2(5,11))*10/C2(5,11);

PCOP3=(C3(:,9)-C3(5,9))/C3(5,9);
PCPV3=(C3(:,10)-C3(5,10))*10/C3(5,10);
PCSP3=(C3(:,11)-C3(5,11))*10/C3(5,11);

PCOP4=(C4(:,9)-C4(5,9))/C4(5,9);
PCPV4=(C4(:,10)-C4(5,10))*10/C4(5,10);
PCSP4=(C4(:,11)-C4(5,11))*10/C4(5,11);

figure(5)
plot(T1,PCSP1,'k:')
hold on
% plot(T1,PCPV1,'r--')
% plot(T1,PCOP1,'b-')
plot(T1,PCPV1,'k--')
plot(T1,PCOP1,'k-')
axis([0 150 -1.1 1.1])
set(gca,'XTick',[0:50:150]')
set(gca,'YTick',[-1:0.5:1]')
set(gcf,'Position',[560 528 560 264])
text(22,0.55,'$p$')
text(120,-0.5,'$z_p$')
text(12,0.2,'$p_s$')
hold off
laprint(5,'FlowIncreasePC','scalefonts', 'off', 'asonscreen', 'off')


figure(6)
plot(T2,PCSP2,'k:')
hold on
% plot(T2,PCPV2,'r--')
% plot(T2,PCOP2,'b-')
plot(T2,PCPV2,'k--')
plot(T2,PCOP2,'k-')
axis([0 150 -1.1 1.1])
set(gca,'XTick',[0:50:150]')
set(gca,'YTick',[-1:0.5:1]')
set(gcf,'Position',[560 528 560 264])
text(40,-0.75,'$p$')
text(110,0.8,'$z_p$')
text(70,0.2,'$p_s$')
hold off
laprint(6,'FlowDecreasePC','scalefonts', 'off', 'asonscreen', 'off')


figure(7)
plot(T3,PCSP3,'k:')
hold on
% plot(T3,PCPV3,'r--')
% plot(T3,PCOP3,'b-')
plot(T3,PCPV3,'k--')
plot(T3,PCOP3,'k-')
axis([0 150 -1.1 1.1])
set(gca,'XTick',[0:50:150]')
set(gca,'YTick',[-1:0.5:1]')
set(gcf,'Position',[560 528 560 264])
text(100,-0.23,'$p$')
text(130,0.8,'$z_p$')
text(12,0.78,'$p_s$')
hold off
laprint(7,'PresIncreasePC','scalefonts', 'off', 'asonscreen', 'off')


figure(8)
plot(T4,PCSP4,'k:')
hold on
% plot(T4,PCPV4,'r--')
% plot(T4,PCOP4,'b-')
plot(T4,PCPV4,'k--')
plot(T4,PCOP4,'k-')
axis([0 150 -1.1 1.1])
set(gca,'XTick',[0:50:150]')
set(gca,'YTick',[-1:0.5:1]')
set(gcf,'Position',[560 528 560 264])
text(100,-0.7,'$p$')
text(120,0,'$z_p$')
text(12,-0.7,'$p_s$')
hold off
laprint(8,'PresDecreasePC','scalefonts', 'off', 'asonscreen', 'off')
